# $Revision: 1.23 $, $Date: 2002/03/10 14:14:21 $
Summary:	A ncurses-based RPM-handler
Summary(pl):	Program terminalowy (na ncurses) do zarzdzania pakietami RPM
Name:		purp
Version:	1.1.0
Release:	1
License:	GPL
Vendor:		Anders Karlsson <pugo@lysator.liu.se>
Group:		Applications/System
Source0:	ftp://ftp.lysator.liu.se/pub/unix/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-addch-fix.patch
URL:		http://www.lysator.liu.se/purp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	rpm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A ncurses-based RPM-handler which provides a fast and powerful way to
navigate, install, upgrade and uninstall RPM-packages on
text-terminal-devices.

%description -l pl
Program do zarzdzania pakietami RPM bazujcy na ncurses. purp pozwala
na szybkie i wydajne instalowanie, odinstalowywanie oraz aktualizacj
pakietw.

%prep
%setup -q
%patch0 -p1

%build
aclocal
autoconf
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}}

install purp $RPM_BUILD_ROOT%{_sbindir}
install purprc $RPM_BUILD_ROOT%{_sysconfdir}
install purp.8 $RPM_BUILD_ROOT%{_mandir}/man8

gzip -9nf README CHANGES COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz CHANGES.gz COPYING.gz
%attr(755,root,root) %{_sbindir}/*
%{_sysconfdir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: purp.spec,v $
Revision 1.23  2002/03/10 14:14:21  kloczek
- added libstdc++-devel to BuildRequires.

Revision 1.22  2002/03/10 14:10:15  kloczek
- regenerate ac files,
- compile with -no-rtti -fno-xceptions (much smaller binareries).

Revision 1.21  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/02 15:59:18  grzegol
- added addch-fix patch (now polish letters in descriptions are ok)

Revision 1.18  2002/02/01 18:51:33  grzegol
- updated to 1.1.0
- fixed address in Source0
- added %%configure2_13
- added default config file
- removed outdated makefile patch

Revision 1.17  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/21 09:27:08  roman
- added BuildRequires: ncurses-devel

Revision 1.15  2001/11/21 09:25:17  roman
- added BuildRequires: rpm-devel

Revision 1.14  2001/10/09 12:07:31  qboosh
- don't gzip man pages in spec

Revision 1.13  2001/08/23 17:31:54  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.12  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.11  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.10  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.8  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.7  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Oct 16 1998 Arkadiusz Mikiewicz <misiek@zsz2.starachowice.pl>
- spec rewritten.
